package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订餐预约对象 order_food
 * 
 * @author ruoyi
 * @date 2024-07-23
 */
public class OrderFood extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 订餐ID */
    private Long orderFoodId;

    /** 就餐时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "就餐时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderFoodTime;

    /** 就餐类型 1:午餐 2：晚餐 */
    @Excel(name = "就餐类型 1:午餐 2：晚餐")
    private String orderFoodType;

    /** 就餐人员名称 */
    @Excel(name = "就餐人员名称")
    private String orderFoodUser;

    /** 就餐人员id（用户id） */
    @Excel(name = "就餐人员id", readConverterExp = "用=户id")
    private Long orderFoodUserId;

    /** 就餐人员部门 */
    @Excel(name = "就餐人员部门")
    private String orderFoodDept;

    /** 就餐人员部门id */
    @Excel(name = "就餐人员部门id")
    private Long orderFoodDeptId;

    /** 创建部门 */
    @Excel(name = "创建部门")
    private Long createDept;

    public void setOrderFoodId(Long orderFoodId) 
    {
        this.orderFoodId = orderFoodId;
    }

    public Long getOrderFoodId() 
    {
        return orderFoodId;
    }
    public void setOrderFoodTime(Date orderFoodTime) 
    {
        this.orderFoodTime = orderFoodTime;
    }

    public Date getOrderFoodTime() 
    {
        return orderFoodTime;
    }
    public void setOrderFoodType(String orderFoodType) 
    {
        this.orderFoodType = orderFoodType;
    }

    public String getOrderFoodType() 
    {
        return orderFoodType;
    }
    public void setOrderFoodUser(String orderFoodUser) 
    {
        this.orderFoodUser = orderFoodUser;
    }

    public String getOrderFoodUser() 
    {
        return orderFoodUser;
    }
    public void setOrderFoodUserId(Long orderFoodUserId) 
    {
        this.orderFoodUserId = orderFoodUserId;
    }

    public Long getOrderFoodUserId() 
    {
        return orderFoodUserId;
    }
    public void setOrderFoodDept(String orderFoodDept) 
    {
        this.orderFoodDept = orderFoodDept;
    }

    public String getOrderFoodDept() 
    {
        return orderFoodDept;
    }
    public void setOrderFoodDeptId(Long orderFoodDeptId) 
    {
        this.orderFoodDeptId = orderFoodDeptId;
    }

    public Long getOrderFoodDeptId() 
    {
        return orderFoodDeptId;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("orderFoodId", getOrderFoodId())
            .append("orderFoodTime", getOrderFoodTime())
            .append("orderFoodType", getOrderFoodType())
            .append("orderFoodUser", getOrderFoodUser())
            .append("orderFoodUserId", getOrderFoodUserId())
            .append("orderFoodDept", getOrderFoodDept())
            .append("orderFoodDeptId", getOrderFoodDeptId())
            .append("createDept", getCreateDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
